# Get Transcription GET https://api.meetstream.ai/api/v1/transcript/{transcript_id}/get_transcript Reference: https://docs.meetstream.ai/api-reference/ap-is/transcription/get-transcription ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: Meetstream API version: 1.0.0 paths: /api/v1/transcript/{transcript_id}/get_transcript: get: operationId: get-transcription summary: Get Transcription tags: - subpackage_transcription parameters: - name: transcript_id in: path required: true schema: type: string - name: raw in: query description: >- Set to true to retrieve the raw unformatted transcript from the provider. required: false schema: type: boolean - name: Authorization in: header description: 'Format: Token ' required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: >- #/components/schemas/Transcription_getTranscription_Response_200 servers: - url: https://api.meetstream.ai components: schemas: GetTranscriptionSchemaItemsWordsItems: type: object properties: word: type: string punctuated_word: type: string start: type: number format: double end: type: number format: double confidence: type: number format: double speaker: type: integer speaker_confidence: type: number format: double title: GetTranscriptionSchemaItemsWordsItems GetTranscriptionSchemaItems: type: object properties: speaker: type: string transcript: type: string start_time: type: number format: double end_time: type: number format: double absolute_start_time: type: string absolute_end_time: type: string words: type: array items: $ref: '#/components/schemas/GetTranscriptionSchemaItemsWordsItems' title: GetTranscriptionSchemaItems GetTranscriptionSchema: type: array items: $ref: '#/components/schemas/GetTranscriptionSchemaItems' title: GetTranscriptionSchema GetRawTranscriptionSchemaWordsItems: type: object properties: text: type: string start: type: integer end: type: integer confidence: type: number format: double speaker: type: string title: GetRawTranscriptionSchemaWordsItems GetRawTranscriptionSchema: type: object properties: id: type: string status: type: string text: type: string language_code: type: string audio_url: type: string confidence: type: number format: double audio_duration: type: integer speaker_labels: type: boolean words: type: array items: $ref: '#/components/schemas/GetRawTranscriptionSchemaWordsItems' utterances: type: array items: type: object additionalProperties: description: Any type title: GetRawTranscriptionSchema Transcription_getTranscription_Response_200: oneOf: - $ref: '#/components/schemas/GetTranscriptionSchema' - $ref: '#/components/schemas/GetRawTranscriptionSchema' title: Transcription_getTranscription_Response_200 securitySchemes: TokenAuth: type: apiKey in: header name: Authorization description: 'Format: Token ' ``` ## SDK Code Examples ```python Get Transcription import requests url = "https://api.meetstream.ai/api/v1/transcript/aa6e41aa-a21b-45ff-8f4d-40226c9eaea8/get_transcript" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Get Transcription const url = 'https://api.meetstream.ai/api/v1/transcript/aa6e41aa-a21b-45ff-8f4d-40226c9eaea8/get_transcript'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Get Transcription package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.meetstream.ai/api/v1/transcript/aa6e41aa-a21b-45ff-8f4d-40226c9eaea8/get_transcript" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Get Transcription require 'uri' require 'net/http' url = URI("https://api.meetstream.ai/api/v1/transcript/aa6e41aa-a21b-45ff-8f4d-40226c9eaea8/get_transcript") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java Get Transcription import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.meetstream.ai/api/v1/transcript/aa6e41aa-a21b-45ff-8f4d-40226c9eaea8/get_transcript") .header("Authorization", "") .asString(); ``` ```php Get Transcription request('GET', 'https://api.meetstream.ai/api/v1/transcript/aa6e41aa-a21b-45ff-8f4d-40226c9eaea8/get_transcript', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp Get Transcription using RestSharp; var client = new RestClient("https://api.meetstream.ai/api/v1/transcript/aa6e41aa-a21b-45ff-8f4d-40226c9eaea8/get_transcript"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift Get Transcription import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.meetstream.ai/api/v1/transcript/aa6e41aa-a21b-45ff-8f4d-40226c9eaea8/get_transcript")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ```python Get Raw Transcription import requests url = "https://api.meetstream.ai/api/v1/transcript/aa6e41aa-a21b-45ff-8f4d-40226c9eaea8/get_transcript" querystring = {"raw":"true"} headers = {"Authorization": ""} response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript Get Raw Transcription const url = 'https://api.meetstream.ai/api/v1/transcript/aa6e41aa-a21b-45ff-8f4d-40226c9eaea8/get_transcript?raw=true'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Get Raw Transcription package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.meetstream.ai/api/v1/transcript/aa6e41aa-a21b-45ff-8f4d-40226c9eaea8/get_transcript?raw=true" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Get Raw Transcription require 'uri' require 'net/http' url = URI("https://api.meetstream.ai/api/v1/transcript/aa6e41aa-a21b-45ff-8f4d-40226c9eaea8/get_transcript?raw=true") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java Get Raw Transcription import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.meetstream.ai/api/v1/transcript/aa6e41aa-a21b-45ff-8f4d-40226c9eaea8/get_transcript?raw=true") .header("Authorization", "") .asString(); ``` ```php Get Raw Transcription request('GET', 'https://api.meetstream.ai/api/v1/transcript/aa6e41aa-a21b-45ff-8f4d-40226c9eaea8/get_transcript?raw=true', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp Get Raw Transcription using RestSharp; var client = new RestClient("https://api.meetstream.ai/api/v1/transcript/aa6e41aa-a21b-45ff-8f4d-40226c9eaea8/get_transcript?raw=true"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift Get Raw Transcription import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.meetstream.ai/api/v1/transcript/aa6e41aa-a21b-45ff-8f4d-40226c9eaea8/get_transcript?raw=true")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```